fuss-manager - Segnalazione #860

inserire nome utente e permessi attivi all'interno dell’'HTML nel template di base

06/28/2019 01:45 PM - Elena Grandi

Status: Chiuso Start date: 06/28/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Autenticazione e autorizzazione

Resolution:

Description

Related issues:

Related to fuss-manager - Segnalazione #856: interfaccia con LDAP asincrona ... Chiuso
Related to fuss-manager - Segnalazione #862: form/view di login Chiuso
Has duplicate fuss-manager - Segnalazione #861: Mostrare il nome utente corre... Chiuso

06/28/2019
06/28/2019
06/28/2019

Associated revisions

Revision f3ad1d5c - 10/08/2019 03:01 PM - Mark Caglienzi
Hide 'Login' link if the user is logged in. refs #860

Revision f8fd5911 - 10/08/2019 03:01 PM - Mark Caglienzi

Show the username in the navbar when the user is logged in. refs #860

Revision 699c98fc - 10/09/2019 04:33 PM - Mark Caglienzi

Add Login.get_user_perms(self, user) method. refs #860

Revision 5a94d3a8 - 10/09/2019 04:33 PM - Mark Caglienzi

Set the perms in the session. refs #860

Revision 68aelcce - 10/09/2019 04:35 PM - Mark Caglienzi

Call to_jsonable() on user only once. refs #860

Revision 545f8¢f0 - 10/10/2019 12:10 PM - Mark Caglienzi

Get the permissions from the session in SessionRequestHandler. refs #860

Revision 04394ec0 - 10/10/2019 12:10 PM - Mark Caglienzi

Get the permissions in the else: branch. refs #860

Revision 9eda4107 - 10/10/2019 12:11 PM - Mark Caglienzi

Get the user and perms in the template, accessible from JS code. refs #860

Revision 8649651f - 10/10/2019 12:11 PM - Mark Caglienzi

Redirect to home after a successful login. refs #860

Revision 59bf672b - 10/10/2019 12:18 PM - Mark Caglienzi

window.fussmanager.config.user is an object, not a string anymore. refs #860
Revision 1fcal4fa - 10/10/2019 12:20 PM - Mark Caglienzi

window.fussmanager.config.perms is a Set() now, to allow doing window.fussmanager.config.perms.has('something'). refs #860

Revision 351b85e1 - 10/14/2019 02:25 PM - Mark Caglienzi
Move Login/username link to the right, using the Flex/BS4 CSS class 'ml-auto’. refs #860

Revision 2f1411e8 - 10/28/2019 11:12 AM - Enrico Zini
Sync with master. refs: #860

Revision 1942b7a0 - 10/28/2019 11:12 AM - Enrico Zini
Merged 1860 into master. Closes: #860

History

#1 - 06/28/2019 01:45 PM - Elena Grandi

- Blocked by Segnalazione #856: interfaccia con LDAP asincrona per tornado added

#2 - 09/30/2019 11:42 AM - Elena Grandi

- Related to Segnalazione #856: interfaccia con LDAP asincrona per tornado added

#3 - 09/30/2019 11:42 AM - Elena Grandi

- Blocked by deleted (Segnalazione #856: interfaccia con LDAP asincrona per tornado)

#4 - 09/30/2019 11:42 AM - Elena Grandi
- Related to Segnalazione #862: form/view di login added

#5 - 09/30/2019 11:44 AM - Elena Grandi

- Has duplicate Segnalazione #861: Mostrare il nome utente corrente nei template html added

#6 - 10/10/2019 12:27 PM - Mark Caglienzi

- Status changed from Nuovo to Commenti

Output del nome utente nella navbar

Calcolo dei permessi ("somma" tra permessi dati dall'utente e dai relativi gruppi, se presenti)
Passaggio dei permessi al JS in base.html

window.fussmanager.config.user € un object con tutti i dati di User al suo interno
window.fussmanager.config.perms € un Set()

Redirect alla home dopo il login

PS: Grazie Enrico per avermi dato una mano qua e 1a

#7 - 10/10/2019 12:37 PM - Enrico Zini

- Assignee changed from Enrico Zini to Mark Caglienzi

It all looks good.

Can you move the login button / user name to the top right of the navbar, to follow what most web Uls are doing?
#8 - 10/14/2019 12:09 PM - Mark Caglienzi

- Status changed from Commenti to In elaborazione
#9 - 10/14/2019 02:27 PM - Mark Caglienzi

- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Enrico Zini

Fatto, ho spostato sia il link Login (quando non si & loggati) che lo username (quando si € loggati) nell'angolo destro della navbar.
Piccola nota: Bootstrap 4 non vuole piu navbar-right ma ml-auto per questo.

Branch t860 pushato, nessun merge fatto.

#10 - 10/28/2019 11:13 AM - Enrico Zini

- Status changed from Commenti to Chiuso

Grazie! Fatto merge, chiudo.
